import style from './DropDown.module.css'
import { useState } from 'react';
import React from 'react';

export default function DropDown({title, id, children}) {

    const [isOpen, setIsOpen] = React.useState(false);

    return(
        <>
        <div id={id} style={{position: 'absolute', marginTop: '-133px'}}/>
        <div className={style.superhold}>
            <div className={style.hhold}>
                <div>
                    {/*carrot */}
                    { !isOpen ? (  
                        <button onClick={() => setIsOpen(true)} className={style.none}>
                            <div className={style.svghold}>
                            <svg width="15" height="9" viewBox="0 0 15 9" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M14.3 0.392276C14.0476 0.141416 13.7062 0.000610352 13.3504 0.000610352C12.9946 0.000610352 12.6532 0.141416 12.4008 0.392276L7.56551 5.16026L2.79752 0.392276C2.54516 0.141416 2.20379 0.000610352 1.84796 0.000610352C1.49214 0.000610352 1.15076 0.141416 0.898407 0.392276C0.772166 0.517486 0.671965 0.666454 0.603585 0.830585C0.535205 0.994716 0.5 1.17076 0.5 1.34857C0.5 1.52637 0.535205 1.70242 0.603585 1.86655C0.671965 2.03068 0.772166 2.17965 0.898407 2.30486L6.60922 8.01567C6.73443 8.14191 6.88339 8.24211 7.04753 8.31049C7.21166 8.37887 7.3877 8.41408 7.56551 8.41408C7.74331 8.41408 7.91936 8.37887 8.08349 8.31049C8.24762 8.24211 8.39659 8.14191 8.5218 8.01567L14.3 2.30486C14.4262 2.17965 14.5264 2.03068 14.5948 1.86655C14.6632 1.70242 14.6984 1.52637 14.6984 1.34857C14.6984 1.17076 14.6632 0.994716 14.5948 0.830585C14.5264 0.666454 14.4262 0.517486 14.3 0.392276Z" fill="#464E63"/>
</svg>
                            </div>
                        </button>
                    ) : ( 
                        <button onClick={() => setIsOpen(false)} className={style.none}>
                            <div className={style.svgrotate}>
                            <svg width="15" height="9" viewBox="0 0 15 9" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M14.3 0.392276C14.0476 0.141416 13.7062 0.000610352 13.3504 0.000610352C12.9946 0.000610352 12.6532 0.141416 12.4008 0.392276L7.56551 5.16026L2.79752 0.392276C2.54516 0.141416 2.20379 0.000610352 1.84796 0.000610352C1.49214 0.000610352 1.15076 0.141416 0.898407 0.392276C0.772166 0.517486 0.671965 0.666454 0.603585 0.830585C0.535205 0.994716 0.5 1.17076 0.5 1.34857C0.5 1.52637 0.535205 1.70242 0.603585 1.86655C0.671965 2.03068 0.772166 2.17965 0.898407 2.30486L6.60922 8.01567C6.73443 8.14191 6.88339 8.24211 7.04753 8.31049C7.21166 8.37887 7.3877 8.41408 7.56551 8.41408C7.74331 8.41408 7.91936 8.37887 8.08349 8.31049C8.24762 8.24211 8.39659 8.14191 8.5218 8.01567L14.3 2.30486C14.4262 2.17965 14.5264 2.03068 14.5948 1.86655C14.6632 1.70242 14.6984 1.52637 14.6984 1.34857C14.6984 1.17076 14.6632 0.994716 14.5948 0.830585C14.5264 0.666454 14.4262 0.517486 14.3 0.392276Z" fill="#464E63"/>
</svg>
                            </div>
                        </button>
                    )}
                   
                </div>
                <div className={style.wide}>
                <button onClick={() => setIsOpen(!isOpen ? ( true ) : (false) )} className={style.none}><h4>{title}</h4></button>
                    
                    
                </div>
            </div>

                        <div className={ !isOpen ? (style.hidden) : (style.topmargin)}>
                            {children}
                        </div>
           
                    
        </div>
        </>
    )
}